com.verisign.epp.codec.gen

## Class EPPComponentNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.codec.gen.EPPCodecException
        - - com.verisign.epp.codec.gen.EPPDecodeException
          - - com.verisign.epp.codec.gen.EPPComponentNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class EPPComponentNotFoundException
      extends EPPDecodeException

  Exception used to identify when a component can not be found in one of the factories during a decode operation. The exception includes a kind attribute that defines which `kind` of component could not be found. The constants provided defined the possible values for the `kind` attribute.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `COMMAND` Command component not found
    `static short` | `EXTENSION` Extension component (command/response extension or protocol extension) not found.
    `static short` | `RESPONSE` Response component not found

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `MISSINGPARAMETER, SAX_EXCEPTION, VALUE_MISSINGPARAMETER, VALUE_SAX_EXCEPTION, VALUE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPComponentNotFoundException(short aKind, EPPCodecException aExcep)` Copy Constructor for EPPComponentNotFoundException that takes the base EPPCodecException.
    `EPPComponentNotFoundException(short aKind, java.lang.String aInfo)` Constructor for EPPComponentNotFoundException that takes an info string.
    `EPPComponentNotFoundException(short aKind, java.lang.String aInfo, EPPCodecException aExcep)` Constructor for EPPComponentNotFoundException that takes an info string and the base EPPCodecException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getKind()` Kind of component not found.
    `void` | `setKind(short aKind)` Kind of component not found.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `equals, getValue`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND

          public static final short COMMAND

      Command component not found
      See Also:
        Constant Field Values

    - #### RESPONSE

          public static final short RESPONSE

      Response component not found
      See Also:
        Constant Field Values

    - #### EXTENSION

          public static final short EXTENSION

      Extension component (command/response extension or protocol extension) not found.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPComponentNotFoundException

          public EPPComponentNotFoundException(short aKind,
                                               java.lang.String aInfo)

      Constructor for EPPComponentNotFoundException that takes an info string.
      Parameters:
        `aKind` - Kind of component not found using one of the `EPPComponentNotFoundException` constants.
        `aInfo` - Text description of the exception.

    - #### EPPComponentNotFoundException

          public EPPComponentNotFoundException(short aKind,
                                               java.lang.String aInfo,
                                               EPPCodecException aExcep)

      Constructor for EPPComponentNotFoundException that takes an info string and the base EPPCodecException.
      Parameters:
        `aKind` - Kind of component not found using one of the `EPPComponentNotFoundException` constants.
        `aInfo` - Text description of the exception.
        `aExcep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.

    - #### EPPComponentNotFoundException

          public EPPComponentNotFoundException(short aKind,
                                               EPPCodecException aExcep)

      Copy Constructor for EPPComponentNotFoundException that takes the base EPPCodecException.
      Parameters:
        `aKind` - Kind of component not found using one of the `EPPComponentNotFoundException` constants.
        `aExcep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.

  - ### Method Detail

    - #### getKind

          public short getKind()

      Kind of component not found.
      Returns:
        One of the `EPPComponentNotFoundException` constants

    - #### setKind

          public void setKind(short aKind)

      Kind of component not found.
      Parameters:
        `aKind` - Kind of component not found using one of the `EPPComponentNotFoundException` constants.